Subject: [alto] Specifying supported Cost Types, EP properties & attributes

From: Sabine Randriamasy <[email-masked]>
Date: Fri, 17 Jun 2011 13:37:54 +0200

Hi Rich,

beyond the protocol evolutions associated to Multi-Cost transactions, 
there is a need to further specify the additional Costs Types likely to 
be supported in the ALTO Servers. Specification is necessary on:
- their type, meaning, usage, attributes,...
- the associated  information for IANA registration for those not 
already registered.
The same specifications are necessary for endpoint properties.

If I understood correctly in the interim call last Wednesday, 
you plan to have the protocol aspects done after the Quebec meeting.
There are various proposals and views on EP properties and costs on the 
ALTO mailing list: opaque types, time sensitive costs such as latency, 
views advocating for "static" costs types.

How do you plan to integrate the supported cost types & EP properties in 
the ALTO protocol? Should the proposals made on the mailing list be 
gathered and debated before ?
In that case, a next iteration of the Multi-Cost draft with more on 
Costs & Properties as well as some hints on Multi-Cost Maps would be in 
my opinion useful. Also this draft would benefit from being co-authored 
by people in the ALTO mailing list willing to propose additional Cost 
Types, EP properties and related attributes.

I'd be glad to have your opinion on how to organize this work.

Thanks in advance for your feedback and best regards,

Sabine

--

---

From: Richard Alimi <[email-masked]>
Date: Wed, 22 Jun 2011 08:05:20 -0700

Hi Sabine,

On Fri, Jun 17, 2011 at 4:37 AM, Sabine Randriamasy
<[email-masked]> wrote:
> Hi Rich,
>
> beyond the protocol evolutions associated to Multi-Cost transactions, there
> is a need to further specify the additional Costs Types likely to be
> supported in the ALTO Servers. Specification is necessary on:
> - the associated  information for IANA registration for those not already
> registered.
> If I understood correctly in the interim call last Wednesday, you plan to
> have the protocol aspects done after the Quebec meeting.

Yes - we would like to avoid having these conflict with the interop testing.

> There are various proposals and views on EP properties and costs on the ALTO
> mailing list: opaque types, time sensitive costs such as latency, views
> advocating for "static" costs types.

The protocol spec will only be covering the means to communicate these
from ALTO Servers to clients, so IIRC, thats where most of the debate
is. The actual cost types are currently out of its scope (aside from
providing the 'routingcost', since we need one mandatory one for
interopability).

As for static/dynamic, that sounds like something that should be
handled when registering cost types (see below).

> How do you plan to integrate the supported cost types & EP properties in the
> ALTO protocol? Should the proposals made on the mailing list be gathered and
> debated before ?

The necessary extension points for new cost types and EP properties
should already be in the protocol.  This sounds like a good test of
the Cost Type and Endpoint Property registries defined in the
document. It sounds reasonable to me to work through what is
documented there and let us know if anything needs clarification or if
there is anything missing.

That said, since the registries don't actually exist yet, I wouldn't
expect IANA to do anything about them until the ALTO Protocol draft
actually gets published :)

> In that case, a next iteration of the Multi-Cost draft with more on Costs &
> Properties as well as some hints on Multi-Cost Maps would be in my opinion
> useful.

That sounds reasonable to me. As part of the cost type and endpoint
property registration, one thing that is required is documentation
about what is being registered (see the IANA considerations section of
the protocol doc for details). I would believe that such a document
would serve as the required documentation.

Thanks,
Rich

> Also this draft would benefit from being co-authored by people in
> the ALTO mailing list willing to propose additional Cost Types, EP
> properties and related attributes.
>